
Redmine - Defect #7729

User with only issue view and add note ermission can change issue status

2011-02-26 20:05 - Etienne Massip

Status: Closed Start date: 2011-02-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.1.1

Description

As reported by Lee Hugues in the forum (see RE: Edit Issues Permission / Change Issue Properties), someone which role allows him

only for viewing issue and adding note will still be able to change properties status, assignee, % done and target version.

It requires also that a workflow is defined for the role.

Related issues:

Related to Redmine - Feature #7694: Require permission to assign a version to... Closed 2011-02-23

Is duplicate of Redmine - Feature #1919: Separate permissions for changing as... Closed 2008-09-18

History

#1 - 2011-02-26 20:05 - Etienne Massip

- Affected version (unused) set to 1.1.1

- Affected version set to 1.1.1

#2 - 2011-02-27 22:47 - Jean-Philippe Lang

AFAIK, this is how it works since the very first versions of Redmine. A user allowed to change the status of an issue is allowed to update these

properties as well.

#3 - 2011-02-27 23:07 - Etienne Massip

- Target version deleted (Candidate for next minor release)

Why these (except Status) ?

#4 - 2011-02-28 17:58 - Jean-Philippe Lang

More a consensus than a particular reason. Changing the status generally means that some work was done on the issue and that progress,

assignee... may be changed.

I know that it's not a perfect solution. Would be much better with permissions per attribute.

#5 - 2011-03-03 16:02 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #1919.
